Ubuntu

[regression] Built-in mic not working after pulse updates on Karmic. Intel 82801H (ICH8 Family) sound card.

Reported by Andres Monroy-Hernandez on 2009-08-06
164
This bug affects 31 people
Affects Status Importance Assigned to Milestone
pulseaudio (Ubuntu)
Undecided
Unassigned
Nominated for Karmic by Andres Monroy-Hernandez
Nominated for Lucid by lopetegui
Nominated for Maverick by lopetegui

Bug Description

After doing an update on a bunch of pulseaudio packages my microphone stopped working.

I played with Sound preferences, made sure "mute" was unchecked and I also tried in alsamixer to increase the mic boost and I tried out both "Internal" and "Mic" options.

These are all the packages that were updated before it stopped working (from Synaptic history):

indicator-applet (0.1.6-0ubuntu1) to 0.2.0~bzr319-0ubuntu4
libpulse-browse0 (1:0.9.15-4ubuntu3) to 1:0.9.16~test4-0ubuntu1
libpulse-mainloop-glib0 (1:0.9.15-4ubuntu3) to 1:0.9.16~test4-0ubuntu1
libpulse0 (1:0.9.15-4ubuntu3) to 1:0.9.16~test4-0ubuntu1
pulseaudio (1:0.9.15-4ubuntu3) to 1:0.9.16~test4-0ubuntu1
pulseaudio-esound-compat (1:0.9.15-4ubuntu3) to 1:0.9.16~test4-0ubuntu1
pulseaudio-module-bluetooth (1:0.9.15-4ubuntu3) to 1:0.9.16~test4-0ubuntu1
pulseaudio-module-gconf (1:0.9.15-4ubuntu3) to 1:0.9.16~test4-0ubuntu1
pulseaudio-module-x11 (1:0.9.15-4ubuntu3) to 1:0.9.16~test4-0ubuntu1
pulseaudio-module-zeroconf (1:0.9.15-4ubuntu3) to 1:0.9.16~test4-0ubuntu1
pulseaudio-utils (1:0.9.15-4ubuntu3) to 1:0.9.16~test4-0ubuntu1
vlc (1.0.0-1ubuntu1) to 1.0.1-1ubuntu1
vlc-nox (1.0.0-1ubuntu1) to 1.0.1-1ubuntu1
Installed the following packages:
libdvbpsi5 (0.1.6-1)
libindicate-gtk0 (0.2.0~bzr319-0ubuntu4)
libindicate2 (0.2.0~bzr319-0ubuntu4)
pulseaudio-module-udev (1:0.9.16~test4-0ubuntu1)

My hardware is this:
$ cat /proc/asound/card*/codec\#*|grep -i codec
Codec: Analog Devices AD1984A

$ arecord -l
**** List of CAPTURE Hardware Devices ****
card 0: Intel [HDA Intel], device 0: AD198x Analog [AD198x Analog]
  Subdevices: 2/2
  Subdevice #0: subdevice #0
  Subdevice #1: subdevice #1

$ lspci | grep -i audio
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)

Here is a screenshot of the pavucontrol and sound preferences and sound recorder:
http://img139.imageshack.us/img139/7273/soundissues.png

Here is a screenshot of alsamixer:
http://img17.imageshack.us/img17/6275/screenshot6d.png

You can see that the mic volume level seems to indicate sound coming in, but when I play the sound is just noise. It's almost as if it was trying to use the mic plug on the side of the laptop but not the builtin one.

  Sound output works fine.

As per this post: http://ubuntuforums.org/showpost.php?p=7739984&postcount=17 I created:
~/.asoundrc
pcm.pulse {
    type pulse
}
ctl.pulse {
    type pulse
}
pcm.!default {
    type pulse
}
ctl.!default {
    type pulse
}

...after that, my Alsa mixer changed and it only shows this:
http://img18.imageshack.us/img18/6919/alsai.png
So I ended up reverting it and remove those changes from ~/.asoundrc

I'm running an up to date version of Karmic on a Thinkpad X300.
---
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: AD198x Analog [AD198x Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: AD198x Analog [AD198x Analog]
   Subdevices: 2/2
   Subdevice #0: subdevice #0
   Subdevice #1: subdevice #1
AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/dsp', '/dev/snd/controlC0', '/dev/snd/hwC0D0', '/dev/snd/pcmC0D0c', '/dev/snd/pcmC0D0p', '/dev/snd/seq', '/dev/snd/by-path', '/dev/snd/timer', '/dev/snd/controlC29', '/dev/sequencer2', '/dev/sequencer'] failed with exit code 1:
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xfa220000 irq 17'
   Mixer name : 'Analog Devices AD1984A'
   Components : 'HDA:11d4194a,17aa20fb,00100200'
   Controls : 13
   Simple ctrls : 9
Card29.Amixer.info:
 Card hw:29 'ThinkPadEC'/'ThinkPad Console Audio Control at EC reg 0x30, fw 7THT16WW-1.01'
   Mixer name : 'ThinkPad EC 7THT16WW-1.01'
   Components : ''
   Controls : 1
   Simple ctrls : 1
Card29.Amixer.values:
 Simple mixer control 'Console',0
   Capabilities: pswitch pswitch-joined penum
   Playback channels: Mono
   Mono: Playback [on]
DistroRelease: Ubuntu 10.04
LiveMediaBuild: Ubuntu 10.04 "Lucid Lynx" - Release Candidate i386 (20100419.1)
Package: pulseaudio 1:0.9.22~0.9.21+stable-queue-32-g8478-0ubuntu14
PackageArchitecture: i386
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-21.32-generic 2.6.32.11+drm33.2
Tags: lucid
Uname: Linux 2.6.32-21-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 05/11/2009
dmi.bios.vendor: LENOVO
dmi.bios.version: 7TET36WW (1.10 )
dmi.board.name: 64771ZU
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr7TET36WW(1.10):bd05/11/2009:svnLENOVO:pn64771ZU:pvrThinkPadX300:rvnLENOVO:rn64771ZU:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 64771ZU
dmi.product.version: ThinkPad X300
dmi.sys.vendor: LENOVO

---
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: AD198x Analog [AD198x Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: AD198x Analog [AD198x Analog]
   Subdevices: 1/2
   Subdevice #0: subdevice #0
   Subdevice #1: subdevice #1
AudioDevicesInUse:
 Cannot stat file /proc/3071/fd/40: Stale NFS file handle
                      USER PID ACCESS COMMAND
 /dev/snd/controlC0: ubuntu 3074 F.... pulseaudio
 /dev/snd/pcmC0D0c: ubuntu 3074 F...m pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xfa220000 irq 47'
   Mixer name : 'Analog Devices AD1984A'
   Components : 'HDA:11d4194a,17aa20fb,00100200'
   Controls : 13
   Simple ctrls : 9
Card29.Amixer.info:
 Card hw:29 'ThinkPadEC'/'ThinkPad Console Audio Control at EC reg 0x30, fw 7THT16WW-1.01'
   Mixer name : 'ThinkPad EC 7THT16WW-1.01'
   Components : ''
   Controls : 1
   Simple ctrls : 1
Card29.Amixer.values:
 Simple mixer control 'Console',0
   Capabilities: pswitch pswitch-joined penum
   Playback channels: Mono
   Mono: Playback [off]
DistroRelease: Ubuntu 10.10
LiveMediaBuild: Ubuntu 10.10 "Maverick Meerkat" - Release amd64 (20101007)
Package: pulseaudio 1:0.9.22~0.9.21+stable-queue-32-g8478-0ubuntu21.1
PackageArchitecture: amd64
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.35-22.33-generic 2.6.35.4
Tags: maverick
Uname: Linux 2.6.35-22-generic x86_64
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 05/11/2009
dmi.bios.vendor: LENOVO
dmi.bios.version: 7TET36WW (1.10 )
dmi.board.name: 64771ZU
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr7TET36WW(1.10):bd05/11/2009:svnLENOVO:pn64771ZU:pvrThinkPadX300:rvnLENOVO:rn64771ZU:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 64771ZU
dmi.product.version: ThinkPad X300
dmi.sys.vendor: LENOVO

description: updated
description: updated
tags: added: audio karmic mic microphone multimedia pulse sound
Vish (vish) on 2009-08-09
affects: ubuntu → pulseaudio (Ubuntu)
description: updated
summary: - [regression] Microphone not working after pulse updates on Karmic
+ [regression] Microphone not working after pulse updates on Karmic on
+ Intel 82801H (ICH8 Family) sound card
summary: - [regression] Microphone not working after pulse updates on Karmic on
- Intel 82801H (ICH8 Family) sound card
+ [regression] Microphone not working after pulse updates on Karmic

After discussions on #pulseaudio I was asked to attach startup.log from pulseaudio -vvvv 2> startup.log

description: updated

 another thing to note is that my laptop also has one of those holes to connect an external microphone, I've never used it but I wonder if the noise I'm getting when I record is actually coming from there and not from the built-in mic

The output of pacmd list-sources

icb410 (ian-berke) wrote :

Hi,

I'm having this issue as well. Here's my hardware:

ian@ubulaptop:~$ lspci | grep Audio
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)

ian@ubulaptop:~$ arecord -l
**** List of CAPTURE Hardware Devices ****
card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
  Subdevices: 3/3
  Subdevice #0: subdevice #0
  Subdevice #1: subdevice #1
  Subdevice #2: subdevice #2

In volume controls, mic 2 has more background noise than mic 1, but recording from either produces just noise. Attached is my pacmd list sources as well.

icb410 (ian-berke) wrote :

ok... I plugged a pair of headphones into my front microphone jack and that gives input on Microphone 2. I can record sound and play it back. Microphone 1 still does not work. Note that I had to toggle all the input switches on gnome-soundmixer and switch the input to Microphone 2 under gnome sound preferences. If I switch back to microphone 1 on sound preferences, the input 1 box comes unchecked in the soundmixer.

Jayson Reis (jaysonsantos2003) wrote :

I have that bug too.
ii pulseaudio 1:0.9.16~test6-3-g57e1-0ubuntu2 PulseAudio sound server
ii pulseaudio-esound-compat 1:0.9.16~test6-3-g57e1-0ubuntu2 PulseAudio ESD compatibility layer
ii pulseaudio-module-bluetooth 1:0.9.16~test6-3-g57e1-0ubuntu2 Bluetooth module for PulseAudio sound server
ii pulseaudio-module-gconf 1:0.9.16~test6-3-g57e1-0ubuntu2 GConf module for PulseAudio sound server
ii pulseaudio-module-hal 1:0.9.14-0ubuntu20.2 HAL device detection module for PulseAudio s
ii pulseaudio-module-udev 1:0.9.16~test6-3-g57e1-0ubuntu2 udev device detection module for PulseAudio
ii pulseaudio-module-x11 1:0.9.16~test6-3-g57e1-0ubuntu2 X11 module for PulseAudio sound server
ii pulseaudio-module-zeroconf 1:0.9.16~test6-3-g57e1-0ubuntu2 Zeroconf module for PulseAudio sound server
ii pulseaudio-utils 1:0.9.16~test6-3-g57e1-0ubuntu2 Command line tools for the PulseAudio sound

lspci = 00:1b.0 Audio device: Intel Corporation 82801JI (ICH10 Family) HD Audio Controller

Jayson Reis (jaysonsantos2003) wrote :

Strange In my sound configuration show like I don't have a mic.
See the screenshot.

summary: - [regression] Microphone not working after pulse updates on Karmic
+ [regression] Built-in mic not working after pulse updates on Karmic.
+ Intel 82801H (ICH8 Family) sound card.
Mike Basinger (mike.basinger) wrote :

Same here with Dell XPS m1330 with same audio card.
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)

Mike Basinger (mike.basinger) wrote :

dbasinge@mikebuntu:~$ cat /proc/asound/cards
 0 [Intel ]: HDA-Intel - HDA Intel
                      HDA Intel at 0xf6ffc000 irq 21

aloctavodia (aloctavodia) wrote :

I have the same problem that Jayson Santos. not mic at all!

i Have the Intel 82801H (ICH8 Family) sound card.

thanks in advance.

lemmy (lemmyg) wrote :

the same with

00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02) x86_64 version.

thanks in advance.

JK (juk) wrote :

I've got the same problem with an ALC861 an a Toshiba A100. Works within a live session (Jaunty and Karmic) but stops working after installation. I've filed a bug report:

https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/434511

JK (juk) wrote :

Apparantly, I was wrong: the bug seems to be not related to PulseAuidio in my case. I was able to reactivate the mic by adding option 'position_fix=1' to the alsa-base.conf (see my report).

bwallum (rbw2) wrote :

I have discovered that under 'Sound Preferences' and the Hardware tab you need to select an appropriate Profile with the drop down menu. I went for Analog Stereo Duplex (it had defaulted to Analog Stereo Output) and then both my mic1 and mic2 appeared in the Input tab. I choose Analog Microphone/Microphone 2 for my web cam mic and it worked.

I did a reboot upon finding Sound Recorder playing up and all now behaves as expected. This is for Karmic and it all looks a lot different from Jaunty.

If you have the Sound Preferences window open and then start Sound Recorder you get this false error message:

"Your audio capture settings are invalid. Please correct them with the "Sound Preferences" under the System-Preferences menu"

Close the Sound Preferences window and Sound Recorder opens up ok. Choosing the Profile is also available in PulseAudio 'Volume Control' window under the Configuration tab.

So we still have some adverse 'features' but at least I could get it working. Sound has always been tricky with Ubuntu and I have never really understood why... inconsistency?

Jayson Reis (jaysonsantos2003) wrote :

Hey guys. I tried that too, my sound was "Analog Stereo Output".
After profile changed microphone worked.
For me, the bug is closed.
Thank you.

Paulo Tanimoto (tanimoto) wrote :

It took me a few minutes to figure this out too. Although this works, it seems that my selection gets reset after shutting down the computer. In other words, this doesn't seem to get saved here. Does anybody have the same problem?

Download full text (3.6 KiB)

This fix (setting to Analog duplex) doesn't work for me, neither does the
options position_fix=1 in alsa_base.conf. I can get microphone 2 to work by
plugging in something to the front mic jack, but microphone 1 never picks up
any sound.

On Sat, Sep 26, 2009 at 8:18 PM, Paulo Tanimoto <email address hidden> wrote:

> It took me a few minutes to figure this out too. Although this works,
> it seems that my selection gets reset after shutting down the computer.
> In other words, this doesn't seem to get saved here. Does anybody have
> the same problem?
>
> --
> [regression] Built-in mic not working after pulse updates on Karmic. Intel
> 82801H (ICH8 Family) sound card.
> https://bugs.launchpad.net/bugs/409819
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “pulseaudio” package in Ubuntu: New
>
> Bug description:
> After doing an update on a bunch of pulseaudio packages my microphone
> stopped working.
>
> I played with Sound preferences, made sure "mute" was unchecked and I also
> tried in alsamixer to increase the mic boost and I tried out both "Internal"
> and "Mic" options.
>
> These are all the packages that were updated before it stopped working
> (from Synaptic history):
>
> indicator-applet (0.1.6-0ubuntu1) to 0.2.0~bzr319-0ubuntu4
> libpulse-browse0 (1:0.9.15-4ubuntu3) to 1:0.9.16~test4-0ubuntu1
> libpulse-mainloop-glib0 (1:0.9.15-4ubuntu3) to 1:0.9.16~test4-0ubuntu1
> libpulse0 (1:0.9.15-4ubuntu3) to 1:0.9.16~test4-0ubuntu1
> pulseaudio (1:0.9.15-4ubuntu3) to 1:0.9.16~test4-0ubuntu1
> pulseaudio-esound-compat (1:0.9.15-4ubuntu3) to 1:0.9.16~test4-0ubuntu1
> pulseaudio-module-bluetooth (1:0.9.15-4ubuntu3) to 1:0.9.16~test4-0ubuntu1
> pulseaudio-module-gconf (1:0.9.15-4ubuntu3) to 1:0.9.16~test4-0ubuntu1
> pulseaudio-module-x11 (1:0.9.15-4ubuntu3) to 1:0.9.16~test4-0ubuntu1
> pulseaudio-module-zeroconf (1:0.9.15-4ubuntu3) to 1:0.9.16~test4-0ubuntu1
> pulseaudio-utils (1:0.9.15-4ubuntu3) to 1:0.9.16~test4-0ubuntu1
> vlc (1.0.0-1ubuntu1) to 1.0.1-1ubuntu1
> vlc-nox (1.0.0-1ubuntu1) to 1.0.1-1ubuntu1
> Installed the following packages:
> libdvbpsi5 (0.1.6-1)
> libindicate-gtk0 (0.2.0~bzr319-0ubuntu4)
> libindicate2 (0.2.0~bzr319-0ubuntu4)
> pulseaudio-module-udev (1:0.9.16~test4-0ubuntu1)
>
> My hardware is this:
> $ cat /proc/asound/card*/codec\#*|grep -i codec
> Codec: Analog Devices AD1984A
>
>
> $ arecord -l
> **** List of CAPTURE Hardware Devices ****
> card 0: Intel [HDA Intel], device 0: AD198x Analog [AD198x Analog]
> Subdevices: 2/2
> Subdevice #0: subdevice #0
> Subdevice #1: subdevice #1
>
> $ lspci | grep -i audio
> 00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio
> Controller (rev 03)
>
> Here is a screenshot of the pavucontrol and sound preferences and sound
> recorder:
> http://img139.imageshack.us/img139/7273/soundissues.png
>
> Here is a screenshot of alsamixer:
> http://img17.imageshack.us/img17/6275/screenshot6d.png
>
> You can see that the mic volume level seems to indicate sound coming in,
> but when I play the sound is just noise. It's almost as if it was trying to
> use the mic plug on the side of the laptop but not the builtin one.
>
> S...

Read more...

JK (juk) wrote :

@icb410 : I propose that you file a bug report to the ALSA developers. They provide neat little script that you can use to collect valuable information about your system and attach it to your report. You can find it here:
http://www.alsa-project.org/main/index.php/Help_To_Debug

Just download it:

wget http://www.alsa-project.org/alsa-info.sh

make it executable

chmod +x alsa-info.sh

and run it

./alsa-info.sh

Good luck!

bwallum (rbw2) wrote :

There is a lot confusion between alsa mixer gui and pulse audio controls. I suggest a clear explanation of each and a warning that running both means of controlling audio together will result in unexpected events.

PulseAudio is dynamic and that should be explained clearly. For example, in the Applications tab nothing is seen until an application actually uses audio. So if you start Sound Recorder, the Application window in Volume Control does not show Sound Recorder running. However it does show as soon as a sound recording session starts.

There are still bugs in PulseAudio and others that might be called 'features':-

If you open Pulse Audio Sound Preferences (right click on speaker icon) or PulseAudio Volume Control (Applications>Sound&Video) and then open Sound Recorder you will get an error message and Sound Recorder will not open. Close Sound Preferences and/or Volume Control and Sound Recorder will open. You can then open Sound Preferences and Volume Control.

Default configuration setting Analog Stereo Output does not activate microphones. Default should be 'Analog Stereo Duplex' to enable both microphones and speakers.

JK (juk) wrote :

> PulseAudio is dynamic and that should be explained clearly. For example, in the Applications tab nothing is seen until an
> application actually uses audio.

The volume control in karmic shows a text saying sth. like "no application is currently playing or recording" if this is the case.

But I agree that having 2 control mechanisms that work on different levels is an ugly mess, expecially because the alsamixer is only accessible via cmdline (I know "gnome-alsamixer", but it doesn't show exactly the same controls in my case, so I have to use the "real" alsa-mixer). It would be better to ingetrate alsa-mixer into the gnome audio controls, maybe on a separate tab or sth. like that, so that we finally have a single point of control...

> Default configuration setting Analog Stereo Output does not activate microphones. Default should be 'Analog Stereo Duplex' to
> enable both microphones and speakers.

Totally agree with that! But the "Analog Stereo Output" is NOT always the default setting! In my case, it has been "Analog Stereo Duplex", what's really odd since my mic did not work at all after installation (probably because of an ALSA bug)...

Changed in pulseaudio (Ubuntu):
status: New → Confirmed
lemmy (lemmyg) wrote :

Hi,
I had the same problem, I fixed selecting Analog Stereo Duplex option. Now the microphone appear, but I have microphone low volume problem as previously Jaunty. This was fixed in kernel 2.6.28.13 or 2.6.28.14. I not sure exactly. it would be good to report this issue, if anyone else has this problem.

thanks in advance.

lspci | grep -i audio
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)

uname -a
Linux 2.6.31-7-rt #9-Ubuntu SMP PREEMPT RT Wed Oct 7 23:01:00 UTC 2009 x86_64 GNU/Linux

Manfred (pfluegl) wrote :

I had the same problem and this page helped me fix it.
Ubuntu Karmic on Dell Studio XPS
After an update on ~ oct 11 2009 the mic did not record anymore.

This is what I needed to do to fix it:
run alsamixer in the command line and use these values:
headphone :: on
headphone1 :: muted
Mic Jack :: Mic in
Digital Input Source :: Digitial Mic 1
Digital Input Source 1 :: Digitial Mic 1

In Pulse I use: Stereo Duplex

Cheers and thanks.

Motin (motin) wrote :

Thanks Manfred, I too had to "alsamixer -V all" and fibble with the settings to get the microphone working again after ~11 oct updates.

Leonardo (rnalrd) wrote :

Same problem here with 00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 03).

More details here: http://www.alsa-project.org/db/?f=f47f92d570fd56b5b174fc5205a10452008a863e

Thanks!

Leonardo (rnalrd) wrote :

Manfred, applying your suggestions worked for me, specifically:

Digital Input Source and Digital Input Source 1.

They were both set to Analog. Setting them to Digital fixed my problem.

Thanks!

Michael Favia (michaelfavia) wrote :

Duplicate symptoms and onset date here with:
lspci: 00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 03)

Fixed by running "alsamixer -V all" and switching the Front Mic Jack Mode, Mic Jack Mode, Input Source, and Input Source 1 to "Front Mic" Value, pushing up the capture volume to 100% and changing the digital input source to "Digital Mic 1".

All of these steps might not have been necessary but t works so i wont complain. Obviously this shouldn't be expected from a casual user after release. Thanks for the bug report and reference points and good luck fixing the bug. -mf

Nicolò Chieffo (yelo3) wrote :

This workaround does not work with my STAC92xx

tags: added: regression-potential
Daniel T Chen (crimsun) wrote :

Make sure you install linux-backports-modules-alsa-karmic and reboot if by
default RC still exhibits this symptom from a fresh boot of the desktop cd.

On Oct 23, 2009 2:50 PM, "Nicolò Chieffo" <email address hidden> wrote:

This workaround does not work with my STAC92xx

** Tags added: regression-potential

-- [regression] Built-in mic not working after pulse updates on Karmic.
Intel 82801H (ICH8 Family...

JK (juk) wrote :

Now that makes me curious! There are already backported modules for Karmic even though it hasn't been released yet? What do they contain?ALSA drivers? Do they fix a specific bug?

Regards

JK

Nicolò Chieffo (yelo3) wrote :

Anyway, they don't fix the problem

Patrick (patrick-voegeli) wrote :

Hi,

same here. It doesn't work. In Jaunty I could select from the 2 inputs: front mic or mic. Front being the integrated and mic the other one. However, in Karmic I can't select anything, I only have 1 input. In alsamixer I have 2 inputs, but switching between them doesn't make the mic work.

Daniel T Chen (crimsun) wrote :

If you're using linux-backports-modules-alsa-karmic, the mic will be
autoselected based on jack sense.

linusr (linusr) wrote :

Dell Vostro 1500 - internal mic works after installing linux-backports-modules-alsa-2.6.31-14-generic

Daniel T Chen (crimsun) wrote :

Andres, can you confirm that installing linux-backports-modules-alsa-karmic on current Karmic resolves the issue for you? Please also use: apport-collect -p alsa-base 409819.

Other commenters: please refrain from commenting on this bug unless you have _identical_ hardware to Andres's. So, until he posts his hardware, you should _not_:
1) add "me too" comments;
2) add your apport-collect information to this bug.
You _should_, however, file a separate bug using ubuntu-bug alsa-base, change the affected source package to linux (instead of alsa-driver or pulseaudio), and add a linux-backports-modules-2.6.31 task.

Changed in pulseaudio (Ubuntu):
status: Confirmed → Incomplete
Nicolò Chieffo (yelo3) wrote :

And for other people for who the fix does not work?

Daniel: are there instructions somewhere on how to install linux-backports-modules-alsa-karmic ?

miegiel (nix-miegiel) wrote :

'sudo apt-get install linux-backports-modules-alsa-karmic-generic' I assume, you probably need to enable 'backports' in your software sources too.

Daniel T Chen (crimsun) wrote :

Offhand, I don't think so. OTOH, it's "sudo apt-get install
linux-backports-modules-alsa-karmic" in a terminal, or you can use Synaptic,
KPackageKit, etc.

On Oct 28, 2009 8:40 AM, "Andres Monroy-Hernandez" <email address hidden>
wrote:

Daniel: are there instructions somewhere on how to install linux-
backports-modules-alsa-karmic ?

-- [regression] Built-in mic not working after pulse updates on Karmic.
Intel 82801H (ICH8 Family...

miegiel (nix-miegiel) wrote :

Now I'm confused :) there is a 'linux-backports-modules-alsa-karmic-generic-pae' too. 'apt-get' doesn't list 'linux-backports-modules-alsa-karmic'

Daniel T Chen (crimsun) wrote :

No, you don't. l-b-m-2.6.31 source is in karmic main, not karmic-backports.

On Oct 28, 2009 9:01 AM, "miegiel" <email address hidden> wrote:

'sudo apt-get install linux-backports-modules-alsa-karmic-generic' I
assume, you probably need to enable 'backports' in your software sources
too.

-- [regression] Built-in mic not working after pulse updates on Karmic.
Intel 82801H (ICH8 Family...

Lorne (lcohen) wrote :

backports do not correct the issue with Intel 82801H and XPS m1330

Paolo4500 (pingopallo-2) wrote :

same problem with final version of Ubuntu 9.10 in my laptop ASUS M51SN. Audio not working.

sudo lspci -v

00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)
 Subsystem: ASUSTeK Computer Inc. Device 1783
 Flags: bus master, fast devsel, latency 0, IRQ 22
 Memory at febf8000 (64-bit, non-prefetchable) [size=16K]
 Capabilities: [50] Power Management version 2
 Capabilities: [60] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0

miegiel (nix-miegiel) wrote :

For those who missed it !

Daniel T Chen wrote on 2009-10-27:
"Other commenters: please refrain from commenting on this bug unless you have _identical_ hardware to Andres's. So, until he posts his hardware, you should _not_:
1) add "me too" comments;
2) add your apport-collect information to this bug.
You _should_, however, file a separate bug using ubuntu-bug alsa-base, change the affected source package to linux (instead of alsa-driver or pulseaudio), and add a linux-backports-modules-2.6.31 task."

I installed inux-backports-modules-alsa-karmic-generic version 2.6.31.14.27 and the built-in mic still doesn't work.

Changed in pulseaudio (Ubuntu):
status: Incomplete → Confirmed
Daniel T Chen (crimsun) wrote :

Did you adjust the mixer settings?

Daniel: Yes, I adjusted the mixer settings.

Using the GNOME Sound Preferences I only see one device: "Internal Audio Analog", which is the one that controls the mic that connects to the line-in jack on the side of my laptop.

Using alsa-mixer from the terminal, on the other hand, shows what it seems to be three devices: Mic, Internal and Mix. When "Mix" or "Internal" are selected the GNOME Sound Preferences "Input Volume" is set to "Mute".

I pushed the input volume all the way and I toggled between "Mic", "Internal" and "Mix" while testing with the Sound Recorder. None of them got the built-in mic sound.

See these screenshots:
http://dl.getdropbox.com/u/285483/tmp/internalenabled.png
http://dl.getdropbox.com/u/285483/tmp/internaldisabled.png

Kaspar Metz (kap) wrote :

I have the exact same hardware (Thinkpad X300, running the cat, lspci, and arecord commands from the bug description gives me the same output) and the exact same issue.
In my own words:
- When "Internal" is selected as the recording source in alsamixer, the "Mute" checkbox in Sound Preferences atomatically sets itself.
- When disabling the "Mute" checkbox, the recording source in alsamixer changes back to "Mic" automatically.
It is kind of a catch 22. I can't set the internal mic as the source without muting it at the same time.

Note that in alsamixer "Mic" = external microphone plug, "Internal" = the built-in microphone for my system (this way it worked fine under jaunty).

Kaspar: I'm so glad someone else with an Thinkpad X300 was able to replicate this bug. Hopefully we'll figure it out soon. I believe this is the only big problem I have with Karmic.

Gdev (webmaster-ge-kr) wrote :

Hi,

I'm having this issue as well. Here's my hardware:

lspci | grep Audio
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)

arecord -l
**** Liste von CAPTURE Geräten ****
Karte 0: Intel [HDA Intel], Gerät 0: AD198x Analog [AD198x Analog]
  Untergeordnete Geräte: 2/2
  Untergeordnetes Gerät '0: subdevice #0
  Untergeordnetes Gerät '1: subdevice #1

Gdev (webmaster-ge-kr) wrote :

Sorry, I forgot: if it's helpful: I've an Thinpad X300 too...

Daniel T Chen (crimsun) wrote :

@Gdev Please file a separate bug using "ubuntu-bug alsa-base".

clubber (fkramer) wrote :

Hi guys,

i am struggling against that bug as well. I own a Thinkpad X300 with identical hardware (audio chip) like Andres as well and i can also confirm that the above solutions paths doesn't solve the problem for me.
Mic Jack does work when a microphone is plugged but the internal mic doesn't at all.

farchumbre (farchumbre) wrote :

neither for me on my x300 thinkpad ubuntu 9.10
it was working before with 9.04

Mathias Dietrich (theghost) wrote :

Same here since Karmic. Only line-in does work, but internal mircofon does not work.
My hardware is the following:

00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 02)

~$ arecord -l
**** Liste von CAPTURE Geräten ****
Karte 0: Intel [HDA Intel], Gerät 0: ALC883 Analog [ALC883 Analog]
  Untergeordnete Geräte: 0/1
  Untergeordnetes Gerät '0: subdevice #0
Karte 0: Intel [HDA Intel], Gerät 2: ALC883 Analog [ALC883 Analog]
  Untergeordnete Geräte: 1/1
  Untergeordnetes Gerät '0: subdevice #0

Mathias Dietrich (theghost) wrote :

The same thing on my second laptop:

~$ arecord -l
**** Liste von CAPTURE Geräten ****
Karte 0: Intel [HDA Intel], Gerät 0: ALC883 Analog [ALC883 Analog]
  Untergeordnete Geräte: 0/1
  Untergeordnetes Gerät '0: subdevice #0

00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 02)

Ohad (ohad-basan) wrote :

I experience this on my acer timeline 3810T

Ohad wrote:
> I experience this on my acer timeline 3810T
>
For the microphone bug on the the acer timeline 3810T go to the bug
report here :

https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/459982

tags: added: regression-release
removed: regression-potential
Mathias Dietrich (theghost) wrote :

Hi All,

I found a solution at other bug reports regarding the same issue. A solution for my mic problems was:

1.) install the "linux-backports-modules-alsa-karmic-generic" package
2.) then do a reboot
3.) After reboot start "alsamixer" (e.g. via terminal)
4.) Ensure that the microfon mixer, for me it was called "capture" (not the mic boost) is set to 100%
5.) Leave "alsamixer" with ESC and run the "audio-recorder" to test

Maybe it is a help for you too. ;)

clubber (fkramer) wrote :

Hi Ghost thanks for your input.

Unfortunately the result remains the same on my Thinkpad x300, after testing your workarround

Boyan Sotirov (lz1dsb) wrote :

Hi,
I can confirm that I was also affected by this bug. I have a Dell Studio 1550 laptop running Ubuntu 9.10 Karmic. Here's my audio hardware and kernel version:
lspci | grep -i audio
00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 03)
01:00.1 Audio device: ATI Technologies Inc R700 Audio Device [Radeon HD 4000 Series]
uname -r
2.6.31-14-generic
uname -a
Linux boyan-laptop 2.6.31-14-generic #48-Ubuntu SMP Fri Oct 16 14:05:01 UTC 2009 x86_64 GNU/Linux
After installing the package linux-backports-modules-alsa-2.6.31-14-generic and rebooting the machine the built-in microphone worked. I also tested with an external microphone which it also worked, the external microphone was detected and it was automatically used. I haven't done any additional setting from alsamixer.

Regards,
Boyan

Kaspar Metz (kap) wrote :

The solution from #58 does not work for me (on a Thinkpad X300).
I still have the same catch-22 situation as described in #47.
The packet linux-backports-modules-alsa-2.6.31-19-generic is installed and I rebooted.

uname -a
Linux x300 2.6.31-19-generic #56-Ubuntu SMP Thu Jan 28 01:26:53 UTC 2010 i686 GNU/Linux

lspci | grep -i audio
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)

Also noteworthy could be that I suspect that the Thinkpad X300 contains a 'digital' MEMS microphone.

lemmy (lemmyg) wrote :

Hi,
the same issue with dell inspiron 1720. Low volume record with linux-backports-modules-alsa-2.6.31-20-generic installed.
I hope that this problem be corrected before lucid relesed.

uname -a
2.6.31-20-generic #57-Ubuntu SMP Mon Feb 8 09:02:26 UTC 2010 x86_64 GNU/Linux

lspci | grep -i audio
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)

so I assume you're running the latest test version of Lucid? I have been running the latest kernel 2.6.32 and the problem is still there.

uname -a
Linux karmicx300 2.6.32-020632-generic #020632 SMP Thu Dec 3 10:58:45 UTC 2009 i686 GNU/Linux

Very disappointing.

Also, my webcam doesn't work... but that's a story for another bug.

tags: added: iso-testing

apport information

tags: added: apport-collected
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

I just ran apport-collect 409819 on Lucid to attach more info about this bug in the hopes that it gets fixed.

miegiel (nix-miegiel) wrote :

The acer timeline series, or at least some of the models, have this problem too (same intel sound hardware).
see bug https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/459982

In post #17 there's a workaround, it would be interesting to know if it helps people here too.

What it boils down to, is that the left channel of the microphone seems to be used to cancel out noises being transmitted through the chassis of the laptop. For example: disk and fan vibrations and typing or tapping noises. When the left and right microphone input are balanced not only undesirable noises get canceled out but your voice gets canceled out too.

The trick is to decrease the left channel a little compared to the right channel of the "capture" input in alsamixer. Use Q Z E and C to move only the right or left channel slider up or down.

This is not a fix, since "capture" also affects the external microphone (and probably other 'captures' though I didn't test that).

For more details see bug #459982 post #17

Slingshot (slingshot) wrote :

still no updates? I'm also affected with a lenovo x300

It has been more than a year. I am trying out Ubuntu Maverick 10.10 from a LiveUSB. I updated everything in the LiveUSB except the kernel and I'm still seeing the exact same problem. Quite disappointing.

description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Joel Stanley (shenki) wrote :

I still have this issue with Ubuntu Natty on a Thinkpad X300, running 2.6.37-9-generic.

Output of alsa-info.sh: http://www.alsa-project.org/db/?f=1ceb88a7dee1e10d2b80d0c5cb1c18069f85f8b9

wjamoore (aaron-moore-alsatis) wrote :

@ miegiel

I tried all combinations of raising lower 1 channel but I get nothing from my built in mic or a plugged in mic.

Furthermore when I plug in a USB camera with built in mic. I now see the level changing with noise level, but it records nothing.

This is unbelievable for like 2 years and no progress. And i need this for work.. It's not funny having to dual boot to win7 to make conference calls when my whole business documentation is made on my Ubuntu desk PC. (which has no problems for anything.. Totally 100% fully functional... I built it myself thought)

Problem relates to ACER Aspire TimelineX 3820TZ

00:1.b Audio Device: Intel Corporation 5 series/3400 series Chipset High definition Audio (rev 05)

Any help very much appreciated esp. from Ubuntu side who are very quiet it seems to me.

regards

wjamoore (aaron-moore-alsatis) wrote :

update

options position_fix=1 gives me lots of noise, but no actual voise or anything.

miegiel (nix-miegiel) wrote :

@wjamoore

The USB mic is probably a different problem/bug or maybe a mixer setting. To bad the workaround didn't do it for you (might be a different bug too). I ended up just using an external mic on my 3810T. But my timeline's screen died almost a year ago and I'm on an asus netbook now :)

Francesc Vicent (fransex) wrote :

Thinkpads and others using "Intel Corporation 6 Series/C200 Series Chipset", editing asound.state and running alsactl restore should work for you.

Have a look at: https://bugzilla.redhat.com/show_bug.cgi?id=757431 It worked on a HP Pavilion g6 that uses the same chipset.

The only solution to make microphone work is to install linux-backports-modules-alsa-generic...

Just go to:

Menu / System / Administration / Synaptic Package Manager

And search and mark for installation:

linux-backports-modules-alsa-generic

tip: if you have multiple versions click on the first and read the description which should inform what name to install...

If after the reboot and mic mute is off, still does not work, just go to terminal and type:

sudo nano /etc/modprobe.d/alsa-base.conf

and add or change the following:

options snd-hda-intel model=auto enable=yes

Then Ctrl+X, type Y to write and exit, reboot and mic will work.

Bye and have lots of fun with Ubuntu (the best).

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.